Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

When I try to watch Youtube videos in Google Chrome on Ubuntu Quantal Quetzal, I get the following "Couldn't load plugin." message.

enter image description here

I tried to go to "Wrench" -> Tools -> Task Manager in Google Chrome, close the Shockwave process, and reload the page with the Youtube video, but the problem persists.

Am I missing a plugin? What is erring?

=====

Update:

Thanks everyone! You're awesome.

After a while I finally solved the problem. After going to chrome://plugins, I found that I had a mysterious plugin called libpepflashplayer. I disabled it, and now, I can play Youtube videos. Here's how my chrome://plugins settings look like now.

enter image description here

However, is this a good way to solve the problem? Is there a deeper problem I may be having? Like my Chrome browser not updating correctly?

share|improve this question
    
Is Chrome getting updated correctly? chrome://chrome should show version 24.0.1312.57. –  Dennis Feb 3 '13 at 18:37
    
I have 24.0.1312.56, but that's not far behind... –  David Faux Feb 3 '13 at 18:43
    
Adobe Flash Player is directly integrated into Chrome as libpepflashplayer.so. Probably since you had Adobe's Flash plugin installed as well, the two were conflicting. Disabling one fixed the issue. Also, if you found a solution, you should post it as an answer instead of editing it into your question. –  Karan Feb 3 '13 at 23:42
    
Thanks! I pursued another solution from an answer below since I think getting rid of Pepper Flash entirely is a better solution. –  David Faux Feb 4 '13 at 4:59
    
@DavidFaux: Please don't add your solution to your question. Please make it an answer and accept it. –  Al E. Feb 4 '13 at 14:36
add comment

5 Answers 5

up vote 2 down vote accepted

I'm using a different version but maybe this helps you anyways.

I had this problem with the latest dev channel. Version 26.0.1397.2 dev

I fixed it by deleting the folder PepperFlash in .config/google-chrome/ and .config/google-chrome/Default/Pepper\ Data/, for some reason there is a copy of of the .so file for the pepper flash plugin, which is not really needed because there original copy on /opt/google/chrome/PepperFlash/ should be loaded as well which may be causing a conflict or something.

Make sure to backup your whole .config/google-chrome/ folder just in case.

I don't use the standalone flash package anymore, just the pepper flash version included with Chrome, just in case you are wondering.

share|improve this answer
1  
You inspired me to check something ... see my update. –  David Faux Feb 3 '13 at 20:39
    
Your answer worked too! As you noted, I just got rid of PepperFlash entirely as opposed to just disabling it. –  David Faux Feb 4 '13 at 4:58
    
As the Adobe says, the correct version of flashplayer for Linux is the 11.2 instead the last 11.5. If you go here get.adobe.com/flashplayer/?no_redirect you can read: NOTE: Adobe Flash Player 11.2 will be the last version to target Linux as a supported platform. Adobe will continue to provide security backports to Flash Player 11.2 for Linux. –  Kyrol Feb 5 '13 at 9:11
add comment

I had this exact problem yesterday, so upgraded by downloading and re-installing chrome (it is now Version 24.0.1312.57 and still doesn't work.

So I went back to using Chromium and Chromium works Version 23.0.1271.97 Ubuntu 10.04 (23.0.1271.97-0ubuntu0.10.04.1)

As you can see am on Ubuntu 10.04

share|improve this answer
add comment

You need to install Adobe Flash player.

share|improve this answer
2  
Adobe Flash Player comes pre-installed with Chrome. –  Dennis Feb 3 '13 at 18:32
    
I believe that is still in beta and you have to enable it. –  danielcg Feb 3 '13 at 18:32
    
Nope, flash runs fine in my Ubuntu 12.10 Chrome install without any extra installation. –  Marcus Chan Feb 4 '13 at 7:30
add comment

You may have to reinstall the Adobe flash plugin even if you already have it installed. Then go to chrome://plugins/ to make sure that it is enabled in Chrome.

share|improve this answer
add comment

I had an issue after updating ubuntu on an older pc. I didn't see a pepper file or anything that some other people had issues with. I went to the ubuntu software center, found flash under the installed tab, and uninstalled it. I think this left the old Flash 10 on the pc. It is now working as it did before the update and flash is no longer crashing.

share|improve this answer
    
Why would some down vote this? What is the reasoning? –  ubuntuguestpost Apr 27 at 22:26
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.